Bug 1028240 - [abrt] gtg-0.3-3.fc19: keyring.py:46:get_password:BadArgumentsError
[abrt] gtg-0.3-3.fc19: keyring.py:46:get_password:BadArgumentsError
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gtg (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ankur Sinha (FranciscoD)
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:4b29b70dba34b57d06b7aec0455...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-07 19:24 EST by Gary
Modified: 2013-12-13 22:50 EST (History)
1 user (show)

See Also:
Fixed In Version: gtg-0.3.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-13 22:50:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.20 KB, text/plain)
2013-11-07 19:24 EST, Gary
no flags Details
File: environ (1.78 KB, text/plain)
2013-11-07 19:24 EST, Gary
no flags Details

  None (edit)
Description Gary 2013-11-07 19:24:43 EST
Description of problem:
I'm trying to share between home and work computers by putting .config/gtg/ and .local/share/gtg/ on owncloud. This works fine with other apps such as tomboy and hamster-applet but not gtg. Needs some error checking on existing or missing dirs and/or files.

Version-Release number of selected component:
gtg-0.3-3.fc19

Additional info:
reporter:       libreport-2.1.9
cmdline:        /usr/bin/python /usr/bin/gtg
executable:     /usr/bin/gtg
kernel:         3.11.6-200.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
keyring.py:46:get_password:BadArgumentsError

Traceback (most recent call last):
  File "/usr/bin/gtg", line 85, in <module>
    main()
  File "/usr/bin/gtg", line 81, in main
    sys.exit(gtg.main(options, args))
  File "/usr/lib/python2.7/site-packages/GTG/gtg.py", line 118, in main
    ds, req = core_main_init(options, args)
  File "/usr/lib/python2.7/site-packages/GTG/gtg.py", line 145, in core_main_init
    backends_list = BackendFactory().get_saved_backends_list()
  File "/usr/lib/python2.7/site-packages/GTG/backends/__init__.py", line 177, in get_saved_backends_list
    self.restore_backend_from_xml(dic)
  File "/usr/lib/python2.7/site-packages/GTG/backends/__init__.py", line 158, in restore_backend_from_xml
    xp.getAttribute(param_name), param_type)
  File "/usr/lib/python2.7/site-packages/GTG/backends/genericbackend.py", line 409, in cast_param_type_from_string
    return Keyring().get_password(int(param_value))
  File "/usr/lib/python2.7/site-packages/GTG/tools/keyring.py", line 46, in get_password
    item_info = gnomekeyring.item_get_info_sync(self.keyring, item_id)
BadArgumentsError

Local variables in innermost frame:
item_id: 23609
self: <GTG.tools.keyring.GNOMEKeyring object at 0x260a810>
Comment 1 Gary 2013-11-07 19:24:49 EST
Created attachment 821350 [details]
File: backtrace
Comment 2 Gary 2013-11-07 19:24:52 EST
Created attachment 821351 [details]
File: environ
Comment 3 Fedora Update System 2013-11-27 03:43:55 EST
gtg-0.3.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gtg-0.3.1-1.fc20
Comment 4 Fedora Update System 2013-11-27 11:08:48 EST
Package gtg-0.3.1-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gtg-0.3.1-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22265/gtg-0.3.1-1.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-12-13 22:50:12 EST
gtg-0.3.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.